Bug 855060 - Wrong error message when the binding repo doesn't exist
Wrong error message when the binding repo doesn't exist
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 11:24 EDT by Preethi Thomas
Modified: 2013-01-09 12:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:07:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-06 11:24:27 EDT
Description of problem:
If you try to bind a non existing repo to a consumer the error message says "the consumer doesn't exist 

Version-Release number of selected component (if applicable):
[root@preethi-el6-pulp ~]# rpm -qa pulp-rpm-server
pulp-rpm-server-2.0.2-1.el6.noarch


How reproducible:


Steps to Reproduce:
[root@preethi-el6-pulp ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                 zoo
Display Name:       zoo
Description:        None
Content Unit Count: 39
Notes:              

Id:                 rhel6_2
Display Name:       rhel6_2
Description:        None
Content Unit Count: 7493
Notes:              
  Repo: Rhel6

Id:                 bugs
Display Name:       bugs
Description:        None
Content Unit Count: 1
Notes:              

Id:                 errata_demo
Display Name:       errata_demo
Description:        None
Content Unit Count: 1
Notes:              

Id:                 rpm
Display Name:       rpm
Description:        None
Content Unit Count: 1
Notes:              


[root@preethi-el6-pulp ~]# pulp-admin consumer list
+----------------------------------------------------------------------+
                               Consumers
+----------------------------------------------------------------------+

Id:            self-client
Display Name:  self-client
Description:   None
Notes:         


Id:            pulp-client
Display Name:  pulp-client
Description:   None
Notes:         


[root@preethi-el6-pulp ~]# pulp-admin consumer bind --repo-id test --consumer-id pulp-client
Consumer [pulp-client] does not exist on the server
[root@preethi-el6-pulp ~]# 

  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Ortel 2012-10-05 15:57:33 EDT
https://github.com/pulp/pulp/pull/105
Comment 2 Jeff Ortel 2012-10-10 09:55:15 EDT
https://github.com/pulp/pulp_rpm/pull/1
Comment 3 Jeff Ortel 2012-10-17 12:21:01 EDT
build: 0.332
Comment 4 Preethi Thomas 2012-10-24 11:07:46 EDT
verified
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.333-1.fc17.noarch
[root@pulp-master ~]# 

[root@pulp-master ~]# pulp-admin consumer bind --repo-id test --consumer-id pulp-master
Repository [test] does not exist on the server
Comment 5 Preethi Thomas 2013-01-09 12:07:32 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.